Project templates
List Project Templates
Retrieves visible project templates with optional filters
Retrieves visible project templates with optional filters
Query Parameters
areaId?string
Filter by accessible area ID
ownedByAreaId?string
Filter by owner area ID
includeDeleted?string
Include soft-deleted project templates
limit?integer
Number of results to return (max 100)
Response Body
application/json
curl -X GET "https://example.com/v1/project-templates"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "name": "string", "description": { "html": "string" }, "color": "string", "icon": "string", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "ownedByAreaId": "ac5db0dd-8402-4e19-ac4d-edba357f8aba", "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc", "dueDate": "string", "startDate": "string", "relativeDueDateCount": 0, "relativeDueDateUnit": "days", "relativeDueDateDirection": "before", "relativeDueDateEventType": "project_created", "relativeStartDateCount": 0, "relativeStartDateUnit": "days", "relativeStartDateDirection": "before", "relativeStartDateEventType": "project_created", "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9", "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "deletedById": "8ef578ad-7f1e-4656-b48b-b1b4a9aaa1cb", "ownedByArea": { "id": "string", "name": "string", "publicId": "str" }, "areas": [ { "id": "string", "name": "string", "publicId": "str" } ], "areaIds": [ "988f569a-a979-439e-b38b-1d2106eb63df" ] } ]}